<html>
<head>
<title>OGRE: Ogre::Degree Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Degree.html">Degree</a></div>
<h1>Ogre::Degree Class Reference</h1><!-- doxytag: class="Ogre::Degree" -->Wrapper class which indicates a given angle value is in Degrees.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Degree-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a8919fdf01749e0e692842be2a7c4a8e">Degree</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> d=0)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#38f343d7b34d2239c9c5ec7270639b86">Degree</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#70c2e6332981d0932d3ee75b8460cb7d">operator=</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &amp;f)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#1fa8bd1b85a6346de4570c8c7580988f">operator=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#88066c650a6e3e2033a9d74820569063">operator=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#0230e0c3390b44757acf1d6a40ec82c6">valueDegrees</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#bb43fc06a3c963e8ba7aa96614d3a620">valueRadians</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#03857af7d94a567b27545a1f28a432e6">valueAngleUnits</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#56b9ef16ee2705bbc92b2e8b079b596f">operator+</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#0ae679724486648018f2302228b42851">operator+</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#3c1311db4ff00eae0ec789a2554cebf6">operator+</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#0487bcf629d0f637293a6e23d3542ad6">operator+=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#58a04cfaf38cca2eff31bfa35c7e47db">operator+=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#7a6b950ba624d62c971fea03466e7333">operator-</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#aeab42e1bc6392ec82bd3da8d655a1bf">operator-</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#c9b1dcc9166654d6c46db32f4fffb576">operator-</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#133b76b6d58f5ce8f8e8ea55c04932e0">operator-=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#db219a3126dceab35444e0d792108ce9">operator-=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#26945055e5d089356aafee4b983ccab0">operator *</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#12b8f04efc99356f657ef3080c1cbbb4">operator *</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;f) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#3529ac07f8aa280de00a70eb15dfeebe">operator *=</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#8766c6fff5a12b102427faf228e0a9cc">operator/</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#502f121976cd95de2817ddb9b9ac1730">operator/=</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a804b980ae15f2269efbe9a5628b2a74">operator&lt;</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#a6571c77db42c899d4fd1ce1899486d3">operator&lt;=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#c7fdbdf93b40d63acd507aa7ce3d5f24">operator==</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#2cd29ec57a50ddb062f5ee1dd4ac59a4">operator!=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#aea0b9a47bc137d887ce4b2f2a3d33b3">operator&gt;=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#8f8322dc7cb6985ebaeb33667c273cd1">operator&gt;</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>

<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html#ad1507c8247ab1109233b7abc07039d3">mDeg</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Wrapper class which indicates a given angle value is in Degrees. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Degree.html" title="Wrapper class which indicates a given angle value is in Degrees.">Degree</a> values are interchangeable with <a class="el" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> values, and conversions will be done automatically between them. </dd></dl>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00085">85</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="a8919fdf01749e0e692842be2a7c4a8e"></a><!-- doxytag: member="Ogre::Degree::Degree" ref="a8919fdf01749e0e692842be2a7c4a8e" args="(Real d=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Degree::Degree           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>d</em> = <code>0</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00090">90</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h-source.html#l00110">operator *()</a>, <a class="el" href="OgreMath_8h-source.html#l00101">operator+()</a>, <a class="el" href="OgreMath_8h-source.html#l00105">operator-()</a>, and <a class="el" href="OgreMath_8h-source.html#l00113">operator/()</a>.</p>

</div>
</div><p>
<a class="anchor" name="38f343d7b34d2239c9c5ec7270639b86"></a><!-- doxytag: member="Ogre::Degree::Degree" ref="38f343d7b34d2239c9c5ec7270639b86" args="(const Radian &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Degree::Degree           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00091">91</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="70c2e6332981d0932d3ee75b8460cb7d"></a><!-- doxytag: member="Ogre::Degree::operator=" ref="70c2e6332981d0932d3ee75b8460cb7d" args="(const Real &amp;f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>f</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00092">92</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="1fa8bd1b85a6346de4570c8c7580988f"></a><!-- doxytag: member="Ogre::Degree::operator=" ref="1fa8bd1b85a6346de4570c8c7580988f" args="(const Degree &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00093">93</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="88066c650a6e3e2033a9d74820569063"></a><!-- doxytag: member="Ogre::Degree::operator=" ref="88066c650a6e3e2033a9d74820569063" args="(const Radian &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00094">94</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>, and <a class="el" href="OgreMath_8h-source.html#l00555">Ogre::Radian::valueDegrees()</a>.</p>

</div>
</div><p>
<a class="anchor" name="0230e0c3390b44757acf1d6a40ec82c6"></a><!-- doxytag: member="Ogre::Degree::valueDegrees" ref="0230e0c3390b44757acf1d6a40ec82c6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Degree::valueDegrees           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00096">96</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h-source.html#l00221">Ogre::Math::Abs()</a>, <a class="el" href="OgreMath_8h-source.html#l00595">Ogre::operator *()</a>, <a class="el" href="OgreMath_8h-source.html#l00600">Ogre::operator/()</a>, <a class="el" href="OgreMath_8h-source.html#l00263">Ogre::Math::Sign()</a>, and <a class="el" href="OgreMath_8h-source.html#l00295">Ogre::Math::Sqrt()</a>.</p>

</div>
</div><p>
<a class="anchor" name="bb43fc06a3c963e8ba7aa96614d3a620"></a><!-- doxytag: member="Ogre::Degree::valueRadians" ref="bb43fc06a3c963e8ba7aa96614d3a620" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Degree::valueRadians           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00565">565</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00329">Ogre::Math::DegreesToRadians()</a>, and <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h-source.html#l00146">Ogre::Radian::operator+()</a>, <a class="el" href="OgreMath_8h-source.html#l00149">Ogre::Radian::operator+=()</a>, <a class="el" href="OgreMath_8h-source.html#l00153">Ogre::Radian::operator-()</a>, <a class="el" href="OgreMath_8h-source.html#l00156">Ogre::Radian::operator-=()</a>, and <a class="el" href="OgreMath_8h-source.html#l00143">Ogre::Radian::operator=()</a>.</p>

</div>
</div><p>
<a class="anchor" name="03857af7d94a567b27545a1f28a432e6"></a><!-- doxytag: member="Ogre::Degree::valueAngleUnits" ref="03857af7d94a567b27545a1f28a432e6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Degree::valueAngleUnits           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00570">570</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#9d7c5024ffb068064eb5194b9484aa87">Ogre::Math::DegreesToAngleUnits()</a>, and <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

<p>Referenced by <a class="el" href="OgreStringConverter_8h-source.html#l00073">Ogre::StringConverter::toString()</a>.</p>

</div>
</div><p>
<a class="anchor" name="56b9ef16ee2705bbc92b2e8b079b596f"></a><!-- doxytag: member="Ogre::Degree::operator+" ref="56b9ef16ee2705bbc92b2e8b079b596f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator+           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00100">100</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0ae679724486648018f2302228b42851"></a><!-- doxytag: member="Ogre::Degree::operator+" ref="0ae679724486648018f2302228b42851" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator+           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00101">101</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00090">Degree()</a>, and <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="3c1311db4ff00eae0ec789a2554cebf6"></a><!-- doxytag: member="Ogre::Degree::operator+" ref="3c1311db4ff00eae0ec789a2554cebf6" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator+           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00102">102</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00090">Degree()</a>, <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>, and <a class="el" href="OgreMath_8h-source.html#l00555">Ogre::Radian::valueDegrees()</a>.</p>

</div>
</div><p>
<a class="anchor" name="0487bcf629d0f637293a6e23d3542ad6"></a><!-- doxytag: member="Ogre::Degree::operator+=" ref="0487bcf629d0f637293a6e23d3542ad6" args="(const Degree &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator+=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00103">103</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="58a04cfaf38cca2eff31bfa35c7e47db"></a><!-- doxytag: member="Ogre::Degree::operator+=" ref="58a04cfaf38cca2eff31bfa35c7e47db" args="(const Radian &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator+=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00104">104</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>, and <a class="el" href="OgreMath_8h-source.html#l00555">Ogre::Radian::valueDegrees()</a>.</p>

</div>
</div><p>
<a class="anchor" name="7a6b950ba624d62c971fea03466e7333"></a><!-- doxytag: member="Ogre::Degree::operator-" ref="7a6b950ba624d62c971fea03466e7333" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator-           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00105">105</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00090">Degree()</a>, and <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="aeab42e1bc6392ec82bd3da8d655a1bf"></a><!-- doxytag: member="Ogre::Degree::operator-" ref="aeab42e1bc6392ec82bd3da8d655a1bf" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator-           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00106">106</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00090">Degree()</a>, and <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="c9b1dcc9166654d6c46db32f4fffb576"></a><!-- doxytag: member="Ogre::Degree::operator-" ref="c9b1dcc9166654d6c46db32f4fffb576" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator-           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00107">107</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00090">Degree()</a>, <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>, and <a class="el" href="OgreMath_8h-source.html#l00555">Ogre::Radian::valueDegrees()</a>.</p>

</div>
</div><p>
<a class="anchor" name="133b76b6d58f5ce8f8e8ea55c04932e0"></a><!-- doxytag: member="Ogre::Degree::operator-=" ref="133b76b6d58f5ce8f8e8ea55c04932e0" args="(const Degree &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator-=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00108">108</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="db219a3126dceab35444e0d792108ce9"></a><!-- doxytag: member="Ogre::Degree::operator-=" ref="db219a3126dceab35444e0d792108ce9" args="(const Radian &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator-=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00109">109</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>, and <a class="el" href="OgreMath_8h-source.html#l00555">Ogre::Radian::valueDegrees()</a>.</p>

</div>
</div><p>
<a class="anchor" name="26945055e5d089356aafee4b983ccab0"></a><!-- doxytag: member="Ogre::Degree::operator *" ref="26945055e5d089356aafee4b983ccab0" args="(Real f) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator *           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>f</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00110">110</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00090">Degree()</a>, and <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="12b8f04efc99356f657ef3080c1cbbb4"></a><!-- doxytag: member="Ogre::Degree::operator *" ref="12b8f04efc99356f657ef3080c1cbbb4" args="(const Degree &amp;f) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>f</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00111">111</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00090">Degree()</a>, and <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="3529ac07f8aa280de00a70eb15dfeebe"></a><!-- doxytag: member="Ogre::Degree::operator *=" ref="3529ac07f8aa280de00a70eb15dfeebe" args="(Real f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator *=           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>f</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00112">112</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="8766c6fff5a12b102427faf228e0a9cc"></a><!-- doxytag: member="Ogre::Degree::operator/" ref="8766c6fff5a12b102427faf228e0a9cc" args="(Real f) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a> Ogre::Degree::operator/           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>f</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00113">113</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00090">Degree()</a>, and <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="502f121976cd95de2817ddb9b9ac1730"></a><!-- doxytag: member="Ogre::Degree::operator/=" ref="502f121976cd95de2817ddb9b9ac1730" args="(Real f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Degree.html">Degree</a>&amp; Ogre::Degree::operator/=           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>f</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00114">114</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="a804b980ae15f2269efbe9a5628b2a74"></a><!-- doxytag: member="Ogre::Degree::operator&lt;" ref="a804b980ae15f2269efbe9a5628b2a74" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Degree::operator&lt;           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00116">116</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="a6571c77db42c899d4fd1ce1899486d3"></a><!-- doxytag: member="Ogre::Degree::operator&lt;=" ref="a6571c77db42c899d4fd1ce1899486d3" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Degree::operator&lt;=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00117">117</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="c7fdbdf93b40d63acd507aa7ce3d5f24"></a><!-- doxytag: member="Ogre::Degree::operator==" ref="c7fdbdf93b40d63acd507aa7ce3d5f24" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Degree::operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00118">118</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="2cd29ec57a50ddb062f5ee1dd4ac59a4"></a><!-- doxytag: member="Ogre::Degree::operator!=" ref="2cd29ec57a50ddb062f5ee1dd4ac59a4" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Degree::operator!=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00119">119</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="aea0b9a47bc137d887ce4b2f2a3d33b3"></a><!-- doxytag: member="Ogre::Degree::operator&gt;=" ref="aea0b9a47bc137d887ce4b2f2a3d33b3" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Degree::operator&gt;=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00120">120</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<a class="anchor" name="8f8322dc7cb6985ebaeb33667c273cd1"></a><!-- doxytag: member="Ogre::Degree::operator&gt;" ref="8f8322dc7cb6985ebaeb33667c273cd1" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Degree::operator&gt;           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00121">121</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00087">mDeg</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="ad1507c8247ab1109233b7abc07039d3"></a><!-- doxytag: member="Ogre::Degree::mDeg" ref="ad1507c8247ab1109233b7abc07039d3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Degree.html#ad1507c8247ab1109233b7abc07039d3">Ogre::Degree::mDeg</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00087">87</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h-source.html#l00110">operator *()</a>, <a class="el" href="OgreMath_8h-source.html#l00112">operator *=()</a>, <a class="el" href="OgreMath_8h-source.html#l00119">operator!=()</a>, <a class="el" href="OgreMath_8h-source.html#l00101">operator+()</a>, <a class="el" href="OgreMath_8h-source.html#l00103">operator+=()</a>, <a class="el" href="OgreMath_8h-source.html#l00105">operator-()</a>, <a class="el" href="OgreMath_8h-source.html#l00108">operator-=()</a>, <a class="el" href="OgreMath_8h-source.html#l00113">operator/()</a>, <a class="el" href="OgreMath_8h-source.html#l00114">operator/=()</a>, <a class="el" href="OgreMath_8h-source.html#l00116">operator&lt;()</a>, <a class="el" href="OgreMath_8h-source.html#l00117">operator&lt;=()</a>, <a class="el" href="OgreMath_8h-source.html#l00092">operator=()</a>, <a class="el" href="OgreMath_8h-source.html#l00118">operator==()</a>, <a class="el" href="OgreMath_8h-source.html#l00121">operator&gt;()</a>, <a class="el" href="OgreMath_8h-source.html#l00120">operator&gt;=()</a>, <a class="el" href="OgreMath_8h-source.html#l00570">valueAngleUnits()</a>, <a class="el" href="OgreMath_8h-source.html#l00096">valueDegrees()</a>, and <a class="el" href="OgreMath_8h-source.html#l00565">valueRadians()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMath_8h-source.html">OgreMath.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:30 2008
</p>
</body>
</html>
